## gnutls26 2.4.2-6

=== debian/changelog ===
gnutls26 (2.4.2-6) frementle; urgency=low

  * Version for frementle 

 -- Johannes Schmid <jschmid@openismus.com>  Wed, 22 Jul 2009 12:57:51 +0200
