=== debian/control ===
Source: gnutls26
Section: devel
Priority: optional
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>, Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>= 5.0.0), libgcrypt11-dev (>= 1.3.2), zlib1g-dev, cdbs, gtk-doc-tools, texinfo (>= 4.8), libtasn1-3-dev (>= 0.3.4-0), autotools-dev
Build-Conflicts: libgnutls-dev
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/gnutls26/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/gnutls26/trunk/
Homepage: http://www.gnutls.org/

Package: libgnutls-dev
Priority: optional
Section: libdevel
Architecture: any
Provides: gnutls-dev
Depends: libgnutls26 (= ${binary:Version}), libgcrypt11-dev (>= 1.3.0), libc6-dev | libc-dev, zlib1g-dev, libtasn1-3-dev (>= 0.3.4)
Suggests: gnutls-bin
Conflicts: libgnutls11-dev, gnutls-dev (<< 0.4.0-0), gnutls0.4-dev
Replaces: libgnutls11-dev, gnutls-dev (<< 0.4.0-0), gnutls0.4-dev
Description: the GNU TLS library - development files
 gnutls is a portable library which implements the Transport Layer
 Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
 .
 Currently gnutls implements:
  - the TLS 1.0 and SSL 3.0 protocols, without any US-export
    controlled algorithms
  - X509 Public Key Infrastructure (with several limitations).
  - SRP for TLS authentication.
  - TLS Extension mechanism
 .
 This package contains the gnutls development files.

Package: libgnutls26
Priority: important
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: gnutls0, gnutls3, gnutls0.4
Conflicts: gnutls0, gnutls0.4
Suggests: gnutls-bin
Description: the GNU TLS library - runtime library
 gnutls is a portable library which implements the Transport Layer
 Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
 .
 Currently gnutls implements:
  - the TLS 1.0 and SSL 3.0 protocols, without any US-export
    controlled algorithms
  - X509 Public Key Infrastructure (with several limitations).
  - SRP for TLS authentication.
  - TLS Extension mechanism
 .
 This package contains the runtime libraries.

Package: libgnutls26-dbg
Priority: extra
Architecture: any
Section: devel
Depends: libgnutls26 (= ${binary:Version})
Conflicts: libgnutls13-dbg
Description: GNU TLS library - debugger symbols
 gnutls is a portable library which implements the Transport Layer
 Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
 .
 Currently gnutls implements:
  - the TLS 1.0 and SSL 3.0 protocols, without any US-export
    controlled algorithms
  - X509 Public Key Infrastructure (with several limitations).
  - SRP for TLS authentication.
  - TLS Extension mechanism
 .
 This package contains the debugger symbols.

Package: gnutls-bin
Priority: optional
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Conflicts: libgnutls5-dev, gnutls0.4-dev, gnutls-dev (<< 0.4.0-0)
Replaces: libgnutls5-dev, gnutls0.4-dev, gnutls-dev (<< 0.4.0-0)
Description: the GNU TLS library - commandline utilities
 gnutls is a portable library which implements the Transport Layer
 Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
 .
 This package contains a commandline interface to the GNU TLS library,
 which can be used to set up secure connections from e.g. shell scripts.
