=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gnutls26
-Section: devel
+Section: libs
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>, Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper (>= 5.0.0), libgcrypt11-dev (>= 1.3.2), zlib1g-dev, cdbs, gtk-doc-tools, texinfo (>= 4.8), libtasn1-3-dev (>= 0.3.4-0), autotools-dev
+Build-Depends: debhelper (>= 5.0.0), libgcrypt11-dev (>= 1.3.2), zlib1g-dev, cdbs, gtk-doc-tools, texinfo (>= 4.8), libtasn1-3-dev (>= 0.3.4-0), autotools-dev, guile-1.8-dev, datefudge
 Build-Conflicts: libgnutls-dev
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/gnutls26/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/gnutls26/trunk/
 Homepage: http://www.gnutls.org/
@@ -15,8 +16,8 @@
 Section: libdevel
 Architecture: any
 Provides: gnutls-dev
-Depends: libgnutls26 (= ${binary:Version}), libgcrypt11-dev (>= 1.3.0), libc6-dev | libc-dev, zlib1g-dev, libtasn1-3-dev (>= 0.3.4)
-Suggests: gnutls-bin
+Depends: libgnutls26 (= ${binary:Version}), libgcrypt11-dev (>= 1.3.0), libc6-dev | libc-dev, zlib1g-dev, libtasn1-3-dev (>= 0.3.4), ${misc:Depends}
+Suggests: gnutls-doc, gnutls-bin, guile-gnutls
 Conflicts: libgnutls11-dev, gnutls-dev (<< 0.4.0-0), gnutls0.4-dev
 Replaces: libgnutls11-dev, gnutls-dev (<< 0.4.0-0), gnutls0.4-dev
 Description: the GNU TLS library - development files
@@ -33,10 +34,10 @@
  This package contains the gnutls development files.
 
 Package: libgnutls26
-Priority: important
+Priority: standard
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: gnutls0, gnutls3, gnutls0.4
 Conflicts: gnutls0, gnutls0.4
 Suggests: gnutls-bin
@@ -56,8 +57,8 @@
 Package: libgnutls26-dbg
 Priority: extra
 Architecture: any
-Section: devel
-Depends: libgnutls26 (= ${binary:Version})
+Section: debug
+Depends: libgnutls26 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libgnutls13-dbg
 Description: GNU TLS library - debugger symbols
  gnutls is a portable library which implements the Transport Layer
@@ -76,7 +77,7 @@
 Priority: optional
 Architecture: any
 Section: net
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgnutls5-dev, gnutls0.4-dev, gnutls-dev (<< 0.4.0-0)
 Replaces: libgnutls5-dev, gnutls0.4-dev, gnutls-dev (<< 0.4.0-0)
 Description: the GNU TLS library - commandline utilities
@@ -85,3 +86,32 @@
  .
  This package contains a commandline interface to the GNU TLS library,
  which can be used to set up secure connections from e.g. shell scripts.
+
+Package: gnutls-doc
+Priority: optional
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: the GNU TLS library - documentation and examples
+ gnutls is a portable library which implements the Transport Layer
+ Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
+ .
+ This package contains all the gnutls documentation.
+
+Package: guile-gnutls
+Priority: optional
+Architecture: any
+Section: lisp
+Depends: ${misc:Depends},${shlibs:Depends}, guile-1.8
+Description: the GNU TLS library - GNU Guile bindings
+ gnutls is a portable library which implements the Transport Layer
+ Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
+ .
+ Currently gnutls implements:
+  - the TLS 1.0 and SSL 3.0 protocols, without any US-export
+    controlled algorithms
+  - X509 Public Key Infrastructure (with several limitations).
+  - SRP for TLS authentication.
+  - TLS Extension mechanism
+ .
+ This package contains the GNU Guile 1.8 modules.
