## gnutls26 2.8.6

=== debian/changelog ===
gnutls26 (2.8.6-1ubuntu2.1) natty-security; urgency=low

  * SECURITY UPDATE: Denial of service in client application
    - debian/patches/CVE-2011-4128.patch: Fix buffer bounds check when copying
      session data. Based on upstream patch.
    - CVE-2011-4128
  * SECURITY UPDATE: Denial of service via crafted TLS record
    - debian/patches/CVE-2012-1573.patch: Validate the size of a
      GenericBlockCipher structure as it is processed. Based on upstream
      patch.
    - CVE-2012-1573

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 04 Apr 2012 11:13:02 -0500

gnutls26 (2.8.6-1ubuntu2) natty; urgency=low

  * FFe LP: #733501: Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 22:19:18 -0700

gnutls26 (2.8.6-1ubuntu1) natty; urgency=low

  * Fix build failure with --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Nov 2010 17:15:37 +0100

gnutls26 (2.8.6-1) unstable; urgency=low

  * Use dh_lintian.
  * Use dh_makeshlibs for the guile stuff, too. This gets us 
    a) ldconfig in postinst. Closes: #553109
    and
    b) a shlibs file.
    However the shared objects /usr/lib/libguile-gnutls*so* are still not
    designed to be used as libraries (linking) but are dlopened. guile-1.10
    will address this issue by keeping this stuff in a private directory.
  * hotfix pkg-config files (proper fix to be included upstream).
  * Stop unneeeded linkage against libgpg-error. 16_unnecessarydep.diff

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Mar 2010 15:53:35 +0100
