=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>, Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper (>= 5.0.0), libgcrypt11-dev (>= 1.3.2), zlib1g-dev, cdbs, gtk-doc-tools, texinfo (>= 4.8), libtasn1-3-dev (>= 0.3.4-0), autotools-dev, guile-1.8-dev, datefudge
+Build-Depends: debhelper (>= 8.1.2ubuntu2), libgcrypt11-dev (>= 1.3.2), zlib1g-dev, cdbs (>= 0.4.90ubuntu9), gtk-doc-tools, texinfo (>= 4.8), libtasn1-3-dev (>= 0.3.4-0), autotools-dev, guile-1.8-dev, datefudge
 Build-Conflicts: libgnutls-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/gnutls26/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/gnutls26/trunk/
 Homepage: http://www.gnutls.org/
@@ -41,6 +41,8 @@
 Replaces: gnutls0, gnutls3, gnutls0.4
 Conflicts: gnutls0, gnutls0.4
 Suggests: gnutls-bin
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: the GNU TLS library - runtime library
  gnutls is a portable library which implements the Transport Layer
  Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
@@ -60,6 +62,7 @@
 Section: debug
 Depends: libgnutls26 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libgnutls13-dbg
+Multi-Arch: same
 Description: GNU TLS library - debugger symbols
  gnutls is a portable library which implements the Transport Layer
  Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
@@ -80,6 +83,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgnutls5-dev, gnutls0.4-dev, gnutls-dev (<< 0.4.0-0)
 Replaces: libgnutls5-dev, gnutls0.4-dev, gnutls-dev (<< 0.4.0-0)
+Multi-Arch: foreign
 Description: the GNU TLS library - commandline utilities
  gnutls is a portable library which implements the Transport Layer
  Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
@@ -92,6 +96,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: the GNU TLS library - documentation and examples
  gnutls is a portable library which implements the Transport Layer
  Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
@@ -103,6 +108,8 @@
 Architecture: any
 Section: lisp
 Depends: ${misc:Depends},${shlibs:Depends}, guile-1.8
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: the GNU TLS library - GNU Guile bindings
  gnutls is a portable library which implements the Transport Layer
  Security (TLS) 1.0 and Secure Sockets Layer (SSL) 3.0 protocols.
