=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,21 @@
 #! /usr/bin/make -f
 # Build the gnutls package for Debian.
-
-CFLAGS += -D_REENTRANT
-ifeq ($(DEB_BUILD_ARCH),hppa)
-	CFLAGS += -fno-gcse
-endif
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS = --enable-ld-version-script --disable-cxx \
+DEB_CONFIGURE_EXTRA_FLAGS = --enable-ld-version-script --enable-cxx \
 	--without-lzo --enable-guile \
 	--with-guile-site-dir=/usr/share/guile/site \
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--cache-file=$(CURDIR)/config.cache
 DEB_MAKE_CHECK_TARGET = check
-DEB_DH_STRIP_ARGS = --dbg-package=libgnutls26-dbg
-DEB_DH_MAKESHLIBS_ARGS_libgnutls26 := -V 'libgnutls26 (>=2.7.14-0)'
-DEB_DH_MAKESHLIBS_ARGS_guile-gnutls := -V 'guile-gnutls (>=2.7.14-0)'
+DEB_DH_MAKESHLIBS_ARGS_libgnutls26 := -V 'libgnutls26 (>=2.9.11-0)'
+DEB_DH_MAKESHLIBS_ARGS_guile-gnutls := -V 'guile-gnutls (>=2.9.11-0)'
 DEB_COMPRESS_EXCLUDE := gnutls.pdf
+
+CFLAGS += -Wall
+CXXFLAGS += -Wall
 
 # pre-clean rule: save gnutls.pdf since it is expensive to regenerate.
 # See README.source
